Bug 1737361 - python-quantities fails to build on Fedora 31
Summary: python-quantities fails to build on Fedora 31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-quantities
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F32FTBFS F32FailsToInstall 1755893
TreeView+ depends on / blocked
 
Reported: 2019-08-05 08:32 UTC by Miro Hrončok
Modified: 2019-10-26 17:24 UTC (History)
2 users (show)

Fixed In Version: python-quantities-0.12.3-2.fc30 python-quantities-0.12.3-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-19 17:41:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github python-quantities python-quantities issues 158 None None None 2019-08-05 09:12:44 UTC

Description Miro Hrončok 2019-08-05 08:32:21 UTC
python-quantities fails to build with Python 3.8.0b3.

======================================================================
ERROR: test_clip (quantities.tests.test_methods.TestQuantityMethods)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/quantities-0.12.2/quantities/quantity.py", line 247, in __array_prepare__
    res._dimensionality = p_dict[uf](*objs)
KeyError: <ufunc 'clip'>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/builddir/build/BUILD/quantities-0.12.2/quantities/tests/test_methods.py", line 198, in test_clip
    self.methodWithOut(
  File "/builddir/build/BUILD/quantities-0.12.2/quantities/tests/test_methods.py", line 125, in methodWithOut
    ret = getattr(q.copy(), name)(*args, out=out, **kw)
  File "/builddir/build/BUILD/quantities-0.12.2/quantities/quantity.py", line 579, in clip
    clipped = self.magnitude.clip(
  File "/usr/lib64/python3.8/site-packages/numpy/core/_methods.py", line 131, in _clip
    return _clip_dep_invoke_with_casting(
  File "/usr/lib64/python3.8/site-packages/numpy/core/_methods.py", line 85, in _clip_dep_invoke_with_casting
    return ufunc(*args, out=out, **kwargs)
  File "/builddir/build/BUILD/quantities-0.12.2/quantities/quantity.py", line 249, in __array_prepare__
    raise ValueError(
ValueError: ufunc <ufunc 'clip'> not supported by quantities
                please file a bug report at https://github.com/python-quantities
                

----------------------------------------------------------------------
Ran 161 tests in 1.156s

FAILED (errors=1, expected failures=3, unexpected successes=1)

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.8/fedora-rawhide-x86_64/00994656-python-quantities/

For all our attempts to build python-quantities with Python 3.8, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/python-quantities/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.8:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Let us know here if you have any questions.

Comment 1 Ankur Sinha (FranciscoD) 2019-08-05 09:12:44 UTC
Also fails with 0.12.3 on plain rawhide now. Issue filed upstream.

https://github.com/python-quantities/python-quantities/issues/158

Comment 2 Miro Hrončok 2019-08-05 09:26:58 UTC
Might be due to new numpy version?

Comment 3 Ankur Sinha (FranciscoD) 2019-08-05 09:46:03 UTC
Yeh, I think it's related to a change in the clip ufunc: https://github.com/numpy/numpy/blob/master/doc/release/1.17.0-notes.rst#clip-now-uses-a-ufunc-under-the-hood

Upstream's CI only tests till 1.16.1:
https://github.com/python-quantities/python-quantities/blob/master/.travis.yml#L73

Waiting for them to take a look.

Comment 4 Ben Cotton 2019-08-13 16:48:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Miro Hrončok 2019-08-14 22:24:06 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 6 Miro Hrončok 2019-08-21 16:34:21 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 7 Miro Hrončok 2019-08-21 17:28:57 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 8 Fedora Update System 2019-10-10 16:40:23 UTC
FEDORA-2019-5f49bd0241 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5f49bd0241

Comment 9 Fedora Update System 2019-10-10 20:57:18 UTC
FEDORA-2019-5f49bd0241 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5f49bd0241

Comment 10 Fedora Update System 2019-10-10 21:01:50 UTC
FEDORA-2019-29e843582e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-29e843582e

Comment 11 Fedora Update System 2019-10-10 21:01:52 UTC
FEDORA-2019-adf1f27fb3 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-adf1f27fb3

Comment 12 Fedora Update System 2019-10-11 16:53:40 UTC
python-pylatex-1.3.1-1.fc31, python-quantities-0.12.3-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-adf1f27fb3

Comment 13 Fedora Update System 2019-10-12 02:02:16 UTC
python-pylatex-1.3.1-1.fc30, python-quantities-0.12.3-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-29e843582e

Comment 14 Fedora Update System 2019-10-19 17:41:16 UTC
python-pylatex-1.3.1-1.fc30, python-quantities-0.12.3-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-10-26 17:24:48 UTC
python-pylatex-1.3.1-1.fc31, python-quantities-0.12.3-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.